Get tweet metadata from a tweet URL
curl --request GET \
--url https://api.urltodata.ai/v1/twitter/tweet \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.urltodata.ai/v1/twitter/tweet"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.urltodata.ai/v1/twitter/tweet', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"url": "<string>",
"text": "<string>",
"author": {
"username": "<string>",
"displayName": "<string>",
"profileImageUrl": "<string>",
"verified": true
},
"stats": {
"likes": 123,
"retweets": 123,
"replies": 123,
"views": 123,
"bookmarks": 123
},
"createdAt": "<string>",
"media": [
{
"type": "image",
"url": "<string>"
}
],
"quotedTweet": {
"id": "<string>",
"text": "<string>",
"author": {
"username": "<string>",
"displayName": "<string>"
}
}
}{
"error": "<string>",
"message": "<string>",
"details": "<string>",
"documentationUrl": "<string>"
}API Reference
Get tweet metadata from a tweet URL
GET
/
v1
/
twitter
/
tweet
Get tweet metadata from a tweet URL
curl --request GET \
--url https://api.urltodata.ai/v1/twitter/tweet \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.urltodata.ai/v1/twitter/tweet"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.urltodata.ai/v1/twitter/tweet', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"url": "<string>",
"text": "<string>",
"author": {
"username": "<string>",
"displayName": "<string>",
"profileImageUrl": "<string>",
"verified": true
},
"stats": {
"likes": 123,
"retweets": 123,
"replies": 123,
"views": 123,
"bookmarks": 123
},
"createdAt": "<string>",
"media": [
{
"type": "image",
"url": "<string>"
}
],
"quotedTweet": {
"id": "<string>",
"text": "<string>",
"author": {
"username": "<string>",
"displayName": "<string>"
}
}
}{
"error": "<string>",
"message": "<string>",
"details": "<string>",
"documentationUrl": "<string>"
}Authorizations
API key as Bearer token (e.g. Bearer mp_abc123_secret)
Query Parameters
Tweet URL (x.com or twitter.com)